PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_cpltmg | ( | PLASMA_enum | mtxtype,
|  | int | M,
|  | int | N,
|  | PLASMA_Complex32_t * | A,
|  | int | LDA,
|  | int | gM,
|  | int | gN,
|  | int | m0,
|  | int | n0,
|  | unsigned long long int | seed
| ) |  |

CORE_cpltmg initialize a tile of a random matrix from the MatLab gallery configured with the default parameters, and a few other specific matrices.

Parameters

  [in] | mtxtype | Possible types are: PlasmaMatrixRandom, PlasmaMatrixHadamard, PlasmaMatrixParter, PlasmaMatrixRis, PlasmaMatrixKms, PlasmaMatrixMoler, PlasmaMatrixCompan, PlasmaMatrixRiemann, PlasmaMatrixLehmer, PlasmaMatrixMinij, PlasmaMatrixDorr, PlasmaMatrixDemmel, PlasmaMatrixInvhess, PlasmaMatrixCauchy, PlasmaMatrixHilb, PlasmaMatrixLotkin, PlasmaMatrixOrthog, PlasmaMatrixWilkinson, PlasmaMatrixFoster, PlasmaMatrixWright, PlasmaMatrixLangou (See further in the code for more details)
  [in] | M | The number of rows of the tile A. M >= 0.
  [in] | N | The number of columns of the tile A. N >= 0.
  [in,out] | A | On entry, the M-by-N tile to be initialized. On exit, the tile initialized in the mtxtype format.
  [in] | LDA | The leading dimension of the tile A. LDA >= max(1,M).
  [in] | gM | The global number of rows of the full matrix, A is belonging to. gM >= (m0+M).
  [in] | gN | The global number of columns of the full matrix, A is belonging to. gN >= (n0+gN).
  [in] | m0 | The index of the first row of tile A in the full matrix. m0 >= 0.
  [in] | n0 | The index of the first column of tile A in the full matrix. n0 >= 0.
  [in] | seed | The seed used for random generation. Must be the same for all tiles initialized with this routine.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if INFO = -k, the k-th argument had an illegal value